## kdebindings 4.5.3

=== debian/changelog ===
kdebindings (4:4.5.3-0ubuntu2) natty; urgency=low

  * Rebuild for new SIP ABI

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Nov 2010 13:06:53 +0000

kdebindings (4:4.5.3-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Nov 2010 16:09:52 +0000

kdebindings (4:4.5.2+svn1188326-0ubuntu2) natty; urgency=low

  * kdebindings-dbg and libqyoto4.5-cil not depend on libsmokeqt4-3

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 23 Oct 2010 08:22:41 +0200

kdebindings (4:4.5.2+svn1188326-0ubuntu1) natty; urgency=low

  * Merge with Debian git remaining changes:
    - Add libqscintilla2-dev, libqwt5-qt4-dev and libqtwebkit-dev to
      build-dependencies
    - Don't build libsmokeqtmultimedia4-3 because we do not build
      libqt4-multimedia any more, since it got renamed to QtMultimediaKit and
      is now part of qtmobility-dev (Universe)
    - Build libsmokeqwt3, libsmokeqscintilla3,
      libqscintilla-ruby1.8, libqwt-ruby1.8, libphonon4.4-cil,
      libqscintilla2.2-cil and krossruby
    - Soprano smoke headers go from libsmokeqt4-dev to libsmokesoprano-dev
    - Nepomuk, Attica and all k* go headers go from libsmokeqt4-dev to
      libsmokekde-dev
    - Keep our conflicts/replaces
    - Keep our patches
  * New upstream svn snapshot to fix FTBFS against python-qt4 4.7.7
  * Add kubuntu_05_fix_pykde4_typedefs.diff, fix FTBS against python-qt4 4.7.7

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 19 Oct 2010 04:19:23 +0200

kdebindings (4:4.5.1-0r1) UNRELEASED; urgency=low

  * New upstream release

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 09 Aug 2010 22:43:03 +0200
