=== debian/control ===
Source: kdebindings
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.3),
 debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.9.2),
 kdelibs5-dev (>= 4:4.5.2-0ubuntu1), libqt4-opengl-dev (>= 4:4.7.0~beta2), libphonon-dev (>= 4:4.7.0really4.4.2),
 libsoprano-dev (>= 2.3.0), libqimageblitz-dev,
 python, python-all-dev, python-sip-dev (>= 4.11.2), python-qt4 (>=4.8.1), python-qt4-dev (>=4.7.7),
 ruby1.8-dev, ruby1.8, python-support (>= 0.6),
 mono-devel (>= 2.0.1) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 cli-common-dev (>= 0.5.4) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 monodoc-base [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 okular-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5), libakonadi-dev (>= 1.3.85), libattica-dev, shared-desktop-ontologies,
 libqscintilla2-dev (>= 2.4.5), 
 libqwt5-qt4-dev, libqtwebkit-dev
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@uninorte.edu.co>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
Standards-Version: 3.8.4
Homepage: http://www.kde.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/trunk/packages/kdebindings
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdebindings/#_trunk_packages_kdebindings_

Package: kdebindings-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdelibs5-dbg, python-kde4 (= ${binary:Version}), ${misc:Depends}
Recommends: libruby1.8-dbg, python-qt4-dbg, mono-dbg
Description: debugging symbols for the KDE bindings module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE bindings module.

Package: libsmokebase3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Replaces: libsmokebase4-3
Conflicts: libsmokebase4-3
Description: Qt Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains pure Qt Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtcore4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt Core Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Core Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtgui4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt Gui Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Gui Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtdbus4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt DBus Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt DBus Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

#Package: libsmokeqtmultimedia4-3
#Section: libs
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Architecture: any
#Description: Qt Multimedia Smoke library
# Smoke libraries are part of the bindings used for Qt and KDE. This package
# contains Qt Multimedia Smoke.
# .
# Smoke provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the KDE Bindings module.

Package: libsmokeqtnetwork4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt Network Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Network Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtopengl4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt OpenGL Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt OpenGL Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtscript4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt Script Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Script Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtsql4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt Sql Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Sql Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtsvg4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt Svg Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Svg Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqttest4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt Test Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Test Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtuitools4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt Ui Tools Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Ui Tools Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtwebkit4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt WebKit Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt WebKit Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtxml4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt Xml Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Xml Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtxmlpatterns4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt XmlPatterns Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt XmlPatterns Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokephonon3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: any
Description: Qt Phonon Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Phonon Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqt4-dev
Section: libdevel
Depends: ${so:Depends}, ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: development files for Qt Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains pure Qt Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This package contains development files.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqimageblitz3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: QImageBlitz Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains QImageBlitz Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekdecore4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokekde4-3 (<< 4:4.4.80)
Architecture: any
Description: KDE Core Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE Core parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekdeui4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokekde4-3 (<< 4:4.4.80) 
Architecture: any
Description: KDE Ui Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE User Interface parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekfile3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokekde4-3 (<< 4:4.4.80) 
Architecture: any
Description: KFile Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KFile parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekparts3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokekde4-3 (<< 4:4.4.80)
Architecture: any
Description: KParts Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KParts parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokektexteditor3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokekde4-3 (<< 4:4.4.80) 
Architecture: any
Description: KTextEditor Smoke libraries
