=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,8 @@
 DEB_KDE_LINK_WITH_NO_UNDEFINED := no
 include /usr/share/pkg-kde-tools/makefiles/1/variables.mk
 
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    MAKEFLAGS += -j$(NUMJOBS)
-endif
-
 ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-MONOARCHS := "i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 lpia ia64 arm armeb armel sparc s390"
+MONOARCHS := "i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 lpia ia64 sparc s390"
 MONOPACKAGES := $(shell dh_listpackages | grep '\-cil$$') plasma-scriptengine-kimono kio-monodoc libkimono-cil-dev libqyoto-cil-dev libqyotoshared1 qyoto-dev
 DH_MONOPACKAGES := $(patsubst %,-p%,$(MONOPACKAGES))
 DH_NO_MONOPACKAGES := $(patsubst %,-N%,$(MONOPACKAGES))
@@ -59,6 +54,13 @@
 	-DCUSTOM_RUBY_SITE_ARCH_DIR=/usr/lib/ruby/1.8/$(RUBY_SITEARCH) \
 	$(MONOFLAGS)
 
+ifneq (,$(findstring $(ARCH),"armel"))
+cmake_flags += \
+	-DENABLE_SMOKE=OFF \
+	-DENABLE_QTRUBY=OFF \
+	-DENABLE_QYOTO=OFF
+endif
+
 ##
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -84,7 +86,7 @@
 cmake_flags += -DPYTHON_EXECUTABLE=/usr/bin/$(pydefault)
 DEFAULT_PYTHON_ARGS=-DERRORORRORERROR
 
-ifeq (,$(pydefaultversion)) 
+ifeq (,$(pyversions)) 
 $(error "no suitable pythonversion found, failing")
 endif
 
@@ -92,26 +94,26 @@
 
 $(objdir)/Makefile:
 	mkdir -p $(objdir)
-	@echo building all bindings except python bindings. Later building python bindings for $(pydefaultversion).
+	@echo building all bindings except python bindings. Later building python bindings for $(pyversions).
 	cd $(objdir) && cmake $(CURDIR) $(cmake_flags) \
 	    -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS)"
 
 ##
 
-$(patsubst %,$(objdir)/python/pykde4-%/Makefile,$(pydefaultversion)): $(objdir)/Makefile
+$(patsubst %,$(objdir)/python/pykde4-%/Makefile,$(pyversions)): $(objdir)/Makefile
 	mkdir -p $(@D)	
 	cd  $(@D) && cmake $(CURDIR)/python/pykde4 $(cmake_flags) \
 	    -DPYTHON_EXECUTABLE=/usr/bin/python$(subst $(objdir)/python/pykde4-,,$(subst /Makefile,,$@)) \
-	    $(if $(findstring $(pydefaultversion),$@),-DDEFAULT_PYTHON_VERSION=true,-DDEFAULT_PYTHON_VERSION=false)
-
-##
-$(patsubst %,build-stamp-python-%,$(pydefaultversion)): $(patsubst %,$(objdir)/python/pykde4-%/Makefile,$(pydefaultversion))
+	    $(if $(findstring $(pydefaultversion),$@),,-DDONT_INSTALL_DATA_FILES=true)
+
+##
+$(patsubst %,build-stamp-python-%,$(pyversions)): $(patsubst %,$(objdir)/python/pykde4-%/Makefile,$(pyversions))
 	$(MAKE) -C $(objdir)/python/pykde4-$(subst build-stamp-python-,,$@)
 	touch $@
 
 
 build: build-stamp
-build-stamp: $(patsubst %,build-stamp-python-%,$(pydefaultversion)) build-stamp-generic
+build-stamp: $(patsubst %,build-stamp-python-%,$(pyversions)) build-stamp-generic
 	touch $@
 
 build-stamp-generic: $(objdir)/Makefile 
@@ -139,10 +141,10 @@
 	dh_prep
 	dh_installdirs
 
-$(patsubst %,install-python-%,$(pydefaultversion)): install-pre
+$(patsubst %,install-python-%,$(pyversions)): install-pre
 	$(MAKE) -C $(objdir)/python/pykde4-$(subst install-python-,,$@) install DESTDIR=$(CURDIR)/debian/tmp; \
 
-install-generic: install-pre $(patsubst %,install-python-%,$(pydefaultversion))
+install-generic: install-pre $(patsubst %,install-python-%,$(pyversions))
 	$(MAKE) -C $(objdir) install DESTDIR=$(CURDIR)/debian/tmp
 
 install: $(MONOTARGET) install-generic
@@ -153,8 +155,8 @@
 # Separate target (from monospecific) is needed for $(MONO_L_PATHS)
 # to work properly
 install-mono: install-pre install-generic
-	make -C $(objdir)/csharp/kimono/examples/kio/kio_monodoc
-	make -C $(objdir)/csharp/kimono/examples/kio/kio_monodoc install DESTDIR=$(CURDIR)/debian/tmp/
+#	make -C $(objdir)/csharp/kimono/examples/kio/kio_monodoc
+#	make -C $(objdir)/csharp/kimono/examples/kio/kio_monodoc install DESTDIR=$(CURDIR)/debian/tmp/
 	dh_install $(DH_MONOPACKAGES)
 
 monospecific: export DH_OPTIONS=
@@ -198,10 +200,7 @@
 		fi \
 	done
 	dh_sodeps
-	if [ -d debian/python-kde4 ]; then \
-		DH_OPTIONS= dh_shlibdeps -ppython-kde4 -X"usr/lib/pyshared/python2.6/PyKDE4/" -- \
-        	-dSuggests debian/python-kde4/usr/lib/pyshared/python2.6/PyKDE4/*.so -dDepends; \
-	fi
+	dh_shlibdeps
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
