## kdebindings 4.6.2b

=== debian/changelog ===
kdebindings (4:4.6.2b-0ubuntu1) natty; urgency=low

  * New upstream release
    - Update kde-sc-dev-latest version

 -- Christian Mangold <neversfelde@ubuntu.com>  Sat, 02 Apr 2011 21:26:32 +0000

kdebindings (4:4.6.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Feb 2011 15:59:52 +0000

kdebindings (4:4.6.0-0ubuntu2) natty; urgency=low

  * Add kubuntu_05_ksambasharedata.diff fix compile with new
    ksambasharedata class

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Feb 2011 12:37:25 +0000

kdebindings (4:4.6.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * Add dh_shlibdeps to debian/rules LP: #693345

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 27 Jan 2011 11:15:04 +0000

kdebindings (4:4.5.90-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muskovac ]
  * Add build-dep on libqimageblitz-dev again

 -- Philip Muskovac <yofel@gmx.net>  Thu, 23 Dec 2010 01:06:35 +0100

kdebindings (4:4.5.85-0ubuntu2) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Dec 2010 10:53:43 +0000

kdebindings (4:4.5.85-0ubuntu1) natty; urgency=low

  * New upstream beta release
  * Disable libqwt-ruby1.8 and qwt files in libqt4-ruby1.8.examples
  * Add libqtdeclarative-ruby1.8, libsmokeqt3support4-3,
    libsmokeqtdeclarative4-3 and libsmokeqthelp4-3

 -- Philip Muskovac <yofel@gmx.net>  Tue, 07 Dec 2010 00:10:46 +0100

kdebindings (4:4.5.80-0ubuntu3) natty; urgency=low

  * Rebuild to add support for python 2.7.
  * Build-depend on libgdbm-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Dec 2010 11:22:34 +0100

kdebindings (4:4.5.80-0ubuntu2) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:02:08 +0000

kdebindings (4:4.5.80-0ubuntu1) natty; urgency=low

  * New upstream release
  * Remove build-dep on libqimageblitz-dev, causes smoke to segfault

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 11:14:38 +0000
