=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.5.3),
+Build-Depends: kde-sc-dev-latest (>= 4:4.6.2),
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.9.2),
  kdelibs5-dev (>= 4:4.5.2-0ubuntu1), libqt4-opengl-dev (>= 4:4.7.0~beta2), libphonon-dev (>= 4:4.7.0really4.4.2),
- libsoprano-dev (>= 2.3.0), libqimageblitz-dev,
- python, python-all-dev, python-sip-dev (>= 4.11.2), python-qt4 (>=4.8.1), python-qt4-dev (>=4.7.7),
+ libsoprano-dev (>= 2.3.0),
+ python, python-all-dev, python-sip-dev (>= 4.11.2), python-qt4 (>= 4.8.3), python-qt4-dev (>= 4.8.3),
  ruby1.8-dev, ruby1.8, python-support (>= 0.6),
  mono-devel (>= 2.0.1) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
  cli-common-dev (>= 0.5.4) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
  monodoc-base [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
  okular-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5), libakonadi-dev (>= 1.3.85), libattica-dev, shared-desktop-ontologies,
- libqscintilla2-dev (>= 2.4.5), 
+ libqscintilla2-dev (>= 2.4.5),
+ libgdbm-dev, libqimageblitz-dev,
  libqwt5-qt4-dev, libqtwebkit-dev
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@uninorte.edu.co>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
 Standards-Version: 3.8.4
@@ -46,6 +47,19 @@
  .
  This is part of the KDE Bindings module.
 
+Package: libsmokeqt3support4-3
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Description: Qt Qt3Support Smoke library
+ Smoke libraries are part of the bindings used for Qt and KDE. This package
+ contains Qt Qt3Support Smoke.
+ .
+ Smoke provides infrastructure which is used for creating bindings for
+ multiple languages such as Ruby, C# and PHP.
+ .
+ This is part of the KDE Bindings module.
+
 Package: libsmokeqtcore4-3
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -60,6 +74,19 @@
  .
  This is part of the KDE Bindings module.
 
+Package: libsmokeqtdeclarative4-3
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Description: Qt Declarative Smoke library
+ Smoke libraries are part of the bindings used for Qt and KDE. This package
+ contains Qt Declarative Smoke.
+ .
+ Smoke provides infrastructure which is used for creating bindings for
+ multiple languages such as Ruby, C# and PHP.
+ .
+ This is part of the KDE Bindings module.
+
 Package: libsmokeqtgui4-3
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -82,6 +109,19 @@
 Description: Qt DBus Smoke library
  Smoke libraries are part of the bindings used for Qt and KDE. This package
  contains Qt DBus Smoke.
+ .
+ Smoke provides infrastructure which is used for creating bindings for
+ multiple languages such as Ruby, C# and PHP.
+ .
+ This is part of the KDE Bindings module.
+
+Package: libsmokeqthelp4-3
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Description: Qt Help Smoke library
+ Smoke libraries are part of the bindings used for Qt and KDE. This package
+ contains Qt Help Smoke.
  .
  Smoke provides infrastructure which is used for creating bindings for
  multiple languages such as Ruby, C# and PHP.
@@ -306,42 +346,3 @@
  Smoke libraries are part of the bindings used for Qt and KDE. This package
  contains the KDE User Interface parts of Smoke.
  .
- Smoke provides infrastructure which is used for creating bindings for
- multiple languages such as Ruby, C# and PHP.
- .
- This is part of the KDE Bindings module.
-
-Package: libsmokekfile3
-Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libsmokekde4-3 (<< 4:4.4.80) 
-Architecture: any
-Description: KFile Smoke library
- Smoke libraries are part of the bindings used for Qt and KDE. This package
- contains the KFile parts of Smoke.
- .
- Smoke provides infrastructure which is used for creating bindings for
- multiple languages such as Ruby, C# and PHP.
- .
- This is part of the KDE Bindings module.
-
-Package: libsmokekparts3
-Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libsmokekde4-3 (<< 4:4.4.80)
-Architecture: any
-Description: KParts Smoke libraries
- Smoke libraries are part of the bindings used for Qt and KDE. This package
- contains the KParts parts of Smoke.
- .
- Smoke provides infrastructure which is used for creating bindings for
- multiple languages such as Ruby, C# and PHP.
- .
- This is part of the KDE Bindings module.
-
-Package: libsmokektexteditor3
-Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libsmokekde4-3 (<< 4:4.4.80) 
-Architecture: any
-Description: KTextEditor Smoke libraries
