## kdebindings 4.6.5

=== debian/changelog ===
kdebindings (4:4.6.5-0ubuntu1) natty-proposed; urgency=low

  * Upload to natty-proposed for SRU testing (LP: #859562)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Sep 2011 07:37:42 -0400

kdebindings (4:4.6.5-0ubuntu1~ppa1) natty; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Jul 2011 22:40:46 +0200

kdebindings (4:4.6.4-0ubuntu1~ppa1) natty; urgency=low

  * New upstrem release
    - update kde-sc-dev-latest version
    - refresh fix-pykdeuic4.patch

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 05 Jun 2011 13:38:56 +0200

kdebindings (4:4.6.3-0ubuntu1~ppa3) natty; urgency=low

  [ Tarun Kumar Mall ]
  * New upstream release
  * Update kde-sc-dev-latest version

  [ Philip Muškovac ]
  * Make Vcs links point to the right place
  * Refresh fix-pykdeuic4.patch

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 May 2011 15:58:57 +0200

kdebindings (4:4.6.2b-0ubuntu1.1) natty-proposed; urgency=low

  * Make pykdeuic4 compatible with new PyQt.Compiler (LP: #695590)

 -- Mackenzie Morgan <maco.m@ubuntu.com>  Sun, 24 Apr 2011 00:04:26 -0400
