=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.6.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.6.5),
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.9.2),
  kdelibs5-dev (>= 4:4.5.2-0ubuntu1), libqt4-opengl-dev (>= 4:4.7.0~beta2), libphonon-dev (>= 4:4.7.0really4.4.2),
  libsoprano-dev (>= 2.3.0),
@@ -19,8 +19,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@uninorte.edu.co>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
 Standards-Version: 3.8.4
 Homepage: http://www.kde.org
-Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/trunk/packages/kdebindings
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdebindings/#_trunk_packages_kdebindings_
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdebindings/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kdebindings/ubuntu
 
 Package: kdebindings-dbg
 Section: debug
